GDB (xrefs)

Public Attributes | List of all members
avr_unwind_cache Struct Reference

## Public Attributes
CORE_ADDR | prev_sp
CORE_ADDR | base
int | size
int | prologue_type
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 178 of file avr-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR avr_unwind_cache::base

Definition at line 184 of file avr-tdep.c.

Referenced by avr_frame_base_address(), avr_frame_this_id(), avr_frame_unwind_cache(), and avr_scan_prologue().

## ◆ prev_sp

CORE_ADDR avr_unwind_cache::prev_sp

Definition at line 182 of file avr-tdep.c.

Referenced by avr_frame_this_id(), and avr_frame_unwind_cache().

## ◆ prologue_type

int avr_unwind_cache::prologue_type

Definition at line 186 of file avr-tdep.c.

Referenced by avr_frame_unwind_cache(), avr_scan_prologue(), and avr_skip_prologue().

## ◆ saved_regs

struct trad_frame_saved_reg* avr_unwind_cache::saved_regs

Definition at line 188 of file avr-tdep.c.

Referenced by avr_frame_prev_register(), avr_frame_unwind_cache(), avr_scan_prologue(), and avr_skip_prologue().

## ◆ size

int avr_unwind_cache::size

Definition at line 185 of file avr-tdep.c.

Referenced by avr_frame_unwind_cache(), and avr_scan_prologue().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/avr-tdep.c